
QGIS Application - Bug report #3696

classification keeps remembering a removed feature class

2011-03-31 09:30 AM - Richard Duivenvoorde

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 13755

Description

when using unique classification, the removal of features from a certain class makes this class NOT go away when you re-classify the

layer.

Reproduction:

- open qgis and generate a fresh point-shapefile with one string attribute 'foo'

- in editing mode digitize 3 features all with another value for foo (aaa, bbb, ccc)

- now apply unique classification, you should see three classes

- now remove one of the features using the edit/delete feature functionality in attribute-table view (ending up with only two features: aaa,

bbb)

- now reclassify the layer: ccc keeps coming up as a class/value

- I have seen an example in which even restarting qgis this kept being the case (?????)

This happens in both 'new' and 'old' classification

I would see this as a bug, people using this classification as an legend in a layout will have non valid values in there legends

Or is there another explanation?

(my explanation? somewhere there is a caching mechanism which is not refreshed? (let's forget the restarting of qgis... don't know what

that was....).

Tested with 1.6 on windows and in debian

History

#1 - 2011-03-31 12:55 PM - Marco Hugentobler

From a quick test with new symbology, this seems to work ok with current trunk.

#2 - 2011-04-01 01:30 AM - Richard Duivenvoorde

running commit:4f143c0c (SVN r15652) trunk here on ubuntu: still this problem

One thing: after saving the shapefile I also saved the project. (in real it was actually an excisting project).

can it be something with handles to the projectfile (which also holds the classification?)

#3 - 2011-04-01 01:37 AM - Richard Duivenvoorde
Replying to [comment:2 rduivenvoorde]:

running commit:4f143c0c (SVN r15652) trunk here on ubuntu: still this problem

One thing: after saving the shapefile I also saved the project. (in real it was actually an excisting project).

can it be something with handles to the projectfile (which also holds the classification?)

reply to self:

sorry marco did not read your reply good enough. Indeed in trunk NEW symbology seems to work. OLD symbology not working.

IF this is the last 1.* version we can decide to leave it as is.... and spend energy on 2.* bugs ...

#4 - 2011-11-12 05:08 AM - Richard Duivenvoorde

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to wontfix

- Assignee deleted (nobody -)

is working in new symbology, so future is saved :-)
